<?php
ini_set("session.cookie_lifetime",60*60*10);
ini_set("session.gc_maxlifetime", 60*60*10);
session_start();
include("cls_conexion.php");$CNN=new ClsMySQL();include("conexion23.php");
$SYS_MSG="";$SYS_FOC="Dep";$OK=1;
$StrId=V($_POST['TxtId']);$StrCmd=V($_POST['TxtAc']);$LStrPag=V($_POST['TxtPag']);
//+++
if(strlen($_SESSION['SYS_USER_ID'])==0){JsDir("login.php");	return;}
//+++
if(vbval($_SESSION['SYS_USER_GI'])!=USU_GET_GI($_SESSION['SYS_USER_ID'])){
	JsDir("cerrar.php");	
	return;
}
//+++
$ALM=vbval(V($_GET['ALM']));
$PRO=vbval(V($_GET['PRO']));
$PIE=vbval(V($_GET['PIE']));
$CAN=vbval(V($_GET['CAN']));
//+++++
if(vbval($ALM)==0){
	$ALM=vbval(V($_POST['TXT_ALM']));
	$PRO=vbval(V($_POST['TXT_PRO']));
	$PIE=vbval(V($_POST['TXT_PIE']));
	$CAN=vbval(V($_POST['TXT_CAN']));
}
//+++++
$R=gr("vis_stock_presentacionez","ALM_ID=$ALM AND ID=$PRO AND C_UNI=$PIE");
$Alm=$R['ALMC'];
$Cod=$R['COD'];
$Des=$R['DESCRIPCION'];
$Pie=$R['C_UNI'];
$Sto=$R['C_CAJA'];
//+++++
$TI=0;
?>

<html >
<head>
<meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
<title>Procesar transformaciones</title>
<?php AddJs(); ?>

<script type="text/javascript" src="js/sis_funcionez.js"></script>

<link rel="stylesheet" type="text/css" href="css/estiloss.css"  />
<link rel="stylesheet" type="text/css" href="css/basic.css"  />

<style type="text/css">
.mM {height:34px;width:780px;position:relative;top:0px;background-color:#09C; z-index:500;}
.cF {height:480px;width:780px;position:relative;top:0px}
</style>

<script>
$(document).ready(function(){  
   Inicializar();
   jF("CanMed");
});

function Z(Dep,Pro,Dis,Ubi){
	window.opener.fRecep(Dep,Pro,Dis);	
	window.close();	
}
</script>

</head>
<body>

<div align="center">
<div Id="DivFRM"  class="cF" style="background-color:#FFFFFF;">
<form id="Frm" name="Frm" method="post" 
action="lq_transformaciones_det.php" onSubmit="return false;" autocomplete="off">

<input name="TXT_ALM" type="hidden" id="TXT_ALM" value="<?php echo $ALM;?>" />
<input name="TXT_PRO" type="hidden" id="TXT_PRO" value="<?php echo $PRO;?>" />
<input name="TXT_PIE" type="hidden" id="TXT_PIE" value="<?php echo $PIE;?>" />
<input name="TXT_CAN" type="hidden" id="TXT_CAN" value="<?php echo $CAN;?>" />

<!--INI_TITULO--------------------------------->
<div id="DivT" class="dT" style=" width:780px;" >
<img src="png/codes.png" class="iT" style="width:48px; height:48px;" />
<div class="tT" style=" width:500px;">PROCESAR TRANSFORMACIONES</div>
</div>
<!--FIN_TITULO--------------------------------->

<div class="s1" style="left: 35px; top: 103px; width: 74px;"> ALMACEN
</div>
<input name="Alm" type="text" id="Alm" 
class="roi" style="left: 35px; top: 120px; width: 101px;" 
value="<?php echo $Alm;?>"  
tabindex="<?php echo ++$TI;?>" />

<div class="s1" style="left: 151px; top: 103px; width: 89px;"> CODIGO
</div>
<input name="Cod" type="text" id="Cod" 
class="roi" style="left: 149px; top: 120px; width: 97px;" 
value="<?php echo $Cod;?>"  
tabindex="<?php echo ++$TI;?>" />

<div class="s1" style="left: 259px; top: 104px; width: 121px;"> DESCRIPCION
</div>
<input name="Des" type="text" id="Des" 
class="roi" style="left: 258px; top: 120px; width: 306px;"
value="<?php echo $Des;?>"  
tabindex="<?php echo ++$TI;?>" />


<div class="s1" style="left: 576px; top: 88px; width: 66px;">STOCK / CAJAS
</div>
<input name="Sto" type="text" id="Sto" 
class="roi" style="left:576px; top: 120px; width: 72px;" 
value="<?php echo $Sto;?>"  
tabindex="<?php echo ++$TI;?>" />

<div class="s1" style="left: 659px; top: 103px; width: 89px;">PIEZAS
</div>
<input name="Pie" type="text" id="Pie" 
class="roi" style="left:659px; top: 120px; width: 72px;" 
value="<?php echo $Pie;?>"  
tabindex="<?php echo ++$TI;?>" />



<div class="s1" style="left: 35px; top: 164px; width: 133px;">CANTIDAD DE MEDIAS CAJAS A CREAR</div>
<input name="CanMed" type="text" id="CanMed" 
class="nei" style="left:35px; top: 200px; width: 137px;" 
value=""  
tabindex="<?php echo ++$TI;?>" />


<input type="button" name="CmdCal" id="CmdCal" 
value="Pre-calcular resultado" 
onClick="cCalcular();" 
style="position: absolute; left: 185px; top: 200px; width: 238px;"
/>

<input type="button" name="CmdMed" id="CmdMed" 
value="Crear medias cajas" 
onClick="cMedias();" 
style="position: absolute; left: 437px; top: 200px; width: 295px;"
/>


<div class="s1" style="left: 35px; top: 261px; width: 236px;">
<b>RESULTADO PRECALCULADO</b></div>

<div class="s1" id="DivRes" style="left: 35px; top: 286px; width: 696px; height:164px; font-size:14px">
?
</div>

<script>
function cCalcular(){
	var alm=jVal(gv("TXT_ALM"));
	var pro=jVal(gv("TXT_PRO"));
	var pie=jVal(gv("Pie"));
	var sto=jVal(gv("Sto"));
	var can_med=jVal(gv("CanMed"));
	if(pie<=0){
		return AF("El numero de piezas debe ser mayor a cero","Pie");
	}
	if(pie%2!=0){
		return AF("El numero de piezas debe ser un numero par","Pie");
	}
	if(can_med<=0){
		return AF("La cantidad de medias cajas debe ser mayor a cero","CanMed");
	}
	if(can_med%2!=0){
		return AF("La cantidad de medias cajas debe ser un numero par","CanMed");
	}
	var r=AX("CALCULAR",alm,pro,pie,"MEDIAS",can_med);
	document.getElementById("DivRes").innerHTML=r;
	
}

function cMedias(){
	if(pre("¿Esta seguro que desea proceder?")==false){
		return;
	}
	var alm=jVal(gv("TXT_ALM"));
	var pro=jVal(gv("TXT_PRO"));
	var pie=jVal(gv("Pie"));
	var sto=jVal(gv("Sto"));
	var can_med=jVal(gv("CanMed"));
	if(pie<=0){
		return AF("El numero de piezas debe ser mayor a cero","Pie");
	}
	if(pie%2!=0){
		return AF("El numero de piezas debe ser un numero par","Pie");
	}
	if(can_med<=0){
		return AF("La cantidad de medias cajas debe ser mayor a cero","CanMed");
	}
	if(can_med%2!=0){
		return AF("La cantidad de medias cajas debe ser un numero par","CanMed");
	}
	var r=AX("TRANSFORMAR",alm,pro,pie,"MEDIAS",can_med);
	var d=r.split("|");
	if(d[1]=="OK"){
		alert("Datos procesados correctamente");
		window.close();
	}else{
		alert("Error de conexion");
	}
	
}
</script>
 <!--INI_BOTONES--------------------------------><!--FIN_BOTONES-------------------------------->
<?php include("sis_ocultos.php");?>

</form>
</div>
</div>
</body>
</html>
